<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Task APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Task APIs<br/>
<small>
[<a class="el" href="group__group__tivx__api.html">1: TIOVX Interface Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task.html">tivx_task</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Typedef for a task.  <a href="structtivx__task.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameters that can be set during task creation.  <a href="structtivx__task__create__params__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#gab9c6892d3680cbbf7d141ba9715b5bd7">tivxTaskSetDefaultCreateParams</a> (<a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a> *params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to set default task create parameters in parameter structure.  <a href="#gab9c6892d3680cbbf7d141ba9715b5bd7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#gae7df8005aad76cd598146b82cddadc7b">tivxTaskCreate</a> (<a class="el" href="structtivx__task.html">tivx_task</a> *task, <a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a> *params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a task.  <a href="#gae7df8005aad76cd598146b82cddadc7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#ga198b31749312b9235b2ac19d9e0bb068">tivxTaskDelete</a> (<a class="el" href="structtivx__task.html">tivx_task</a> *task)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete a task.  <a href="#ga198b31749312b9235b2ac19d9e0bb068"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#ga25fc34b7c559f1be5d8a237dd26eaf24">tivxTaskWaitMsecs</a> (uint32_t msec)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">waits/sleeps for given milliseconds  <a href="#ga25fc34b7c559f1be5d8a237dd26eaf24"></a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#ga58c994a20bea06f528079a77e407c1b9">TIVX_TASK_PRI_HIGHEST</a>&nbsp;&nbsp;&nbsp;(0u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constant to define highest priority for a task.  <a href="#ga58c994a20bea06f528079a77e407c1b9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#gaf56e776da306397705c872d6aeccf886">TIVX_TASK_PRI_LOWEST</a>&nbsp;&nbsp;&nbsp;(15u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constant to define lowest priority for a task.  <a href="#gaf56e776da306397705c872d6aeccf886"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#ga1ac27404550c393950aa05e0c6caf15a">TIVX_TASK_AFFINITY_ANY</a>&nbsp;&nbsp;&nbsp;(0xFFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">constant to indicate task affinity can be decided by OS on a SMP CPU  <a href="#ga1ac27404550c393950aa05e0c6caf15a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__task.html#ga73fc183a96e06488bf13c656f9b86ea3">TIVX_MAX_TASK_NAME</a>&nbsp;&nbsp;&nbsp;(20)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max Task Name Size.  <a href="#ga73fc183a96e06488bf13c656f9b86ea3"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga58c994a20bea06f528079a77e407c1b9"></a><!-- doxytag: member="tivx_task.h::TIVX_TASK_PRI_HIGHEST" ref="ga58c994a20bea06f528079a77e407c1b9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TASK_PRI_HIGHEST&nbsp;&nbsp;&nbsp;(0u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constant to define highest priority for a task. </p>

</div>
</div>
<a class="anchor" id="gaf56e776da306397705c872d6aeccf886"></a><!-- doxytag: member="tivx_task.h::TIVX_TASK_PRI_LOWEST" ref="gaf56e776da306397705c872d6aeccf886" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TASK_PRI_LOWEST&nbsp;&nbsp;&nbsp;(15u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constant to define lowest priority for a task. </p>

</div>
</div>
<a class="anchor" id="ga1ac27404550c393950aa05e0c6caf15a"></a><!-- doxytag: member="tivx_task.h::TIVX_TASK_AFFINITY_ANY" ref="ga1ac27404550c393950aa05e0c6caf15a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_TASK_AFFINITY_ANY&nbsp;&nbsp;&nbsp;(0xFFFFu)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>constant to indicate task affinity can be decided by OS on a SMP CPU </p>

</div>
</div>
<a class="anchor" id="ga73fc183a96e06488bf13c656f9b86ea3"></a><!-- doxytag: member="tivx_task.h::TIVX_MAX_TASK_NAME" ref="ga73fc183a96e06488bf13c656f9b86ea3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_MAX_TASK_NAME&nbsp;&nbsp;&nbsp;(20)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max Task Name Size. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gab9c6892d3680cbbf7d141ba9715b5bd7"></a><!-- doxytag: member="tivx_task.h::tivxTaskSetDefaultCreateParams" ref="gab9c6892d3680cbbf7d141ba9715b5bd7" args="(tivx_task_create_params_t *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxTaskSetDefaultCreateParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Used to set default task create parameters in parameter structure. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>params</em>&nbsp;</td><td>[out] Params to use for task creation </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae7df8005aad76cd598146b82cddadc7b"></a><!-- doxytag: member="tivx_task.h::tivxTaskCreate" ref="gae7df8005aad76cd598146b82cddadc7b" args="(tivx_task *task, tivx_task_create_params_t *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxTaskCreate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtivx__task.html">tivx_task</a> *&nbsp;</td>
          <td class="paramname"> <em>task</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtivx__task__create__params__t.html">tivx_task_create_params_t</a> *&nbsp;</td>
          <td class="paramname"> <em>params</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a task. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>task</em>&nbsp;</td><td>[out] Pointer to task object </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>params</em>&nbsp;</td><td>[in] Task create parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="ga198b31749312b9235b2ac19d9e0bb068"></a><!-- doxytag: member="tivx_task.h::tivxTaskDelete" ref="ga198b31749312b9235b2ac19d9e0bb068" args="(tivx_task *task)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxTaskDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtivx__task.html">tivx_task</a> *&nbsp;</td>
          <td class="paramname"> <em>task</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a task. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>task</em>&nbsp;</td><td>[in] Pointer to task object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="ga25fc34b7c559f1be5d8a237dd26eaf24"></a><!-- doxytag: member="tivx_task.h::tivxTaskWaitMsecs" ref="ga25fc34b7c559f1be5d8a237dd26eaf24" args="(uint32_t msec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxTaskWaitMsecs </td>
          <td>(</td>
          <td class="paramtype">uint32_t&nbsp;</td>
          <td class="paramname"> <em>msec</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>waits/sleeps for given milliseconds </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>msec</em>&nbsp;</td><td>[in] amount of milliseconds to sleep </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
